StyleParserInternal::Font Struct Reference

small structure used to store a font and a picture More...

## Public Member Functions
| Font ()
| constructor
bool | hasPicture () const
| returns true if the picture is valid

## Public Attributes
MWAWFont | m_font
| the font
Picture | m_picture
| the picture

## Detailed Description

small structure used to store a font and a picture

## Constructor & Destructor Documentation

## ◆ Font()

StyleParserInternal::Font::Font | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ hasPicture()

bool StyleParserInternal::Font::hasPicture | ( |  | ) | const
| inline

returns true if the picture is valid

## Member Data Documentation

## ◆ m_font

MWAWFont StyleParserInternal::Font::m_font

the font

Referenced by Font(), StyleParser::readFormats(), and StyleParser::readStyleTable().

## ◆ m_picture

Picture StyleParserInternal::Font::m_picture

the picture

Referenced by Font(), hasPicture(), and StyleParser::readFormats().

The documentation for this struct was generated from the following file:

- StyleParser.cxx